Genivia - wst__RequestSecurityTokenResponseCollectionType Struct Reference

|  | Home | Documentation | wst__RequestSecurityTokenResponseCollectionType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__RequestSecurityTokenResponseCollectionType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestSecurityTokenResponseCollectionType is a complexType. More...

`#include <wst.h>`

Collaboration diagram for wst__RequestSecurityTokenResponseCollectionType:
[legend]

## Public Attributes
$int | __sizeRequestSecurityTokenResponse
| Size of the dynamic array of struct wst__RequestSecurityTokenResponseType* is 1..unbounded. More...
struct wst__RequestSecurityTokenResponseType * | RequestSecurityTokenResponse
| Array struct wst__RequestSecurityTokenResponseType* of size 1..unbounded. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestSecurityTokenResponseCollectionType is a complexType.

      The <wst:RequestSecurityTokenResponseCollection> element (RSTRC) MUST be used to return a security token or response to a security token request on the final response.

struct wst__RequestSecurityTokenResponseCollectionType operations:

- wst__RequestSecurityTokenResponseCollectionType* soap_new_wst__RequestSecurityTokenResponseCollectionType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__RequestSecurityTokenResponseCollectionType(struct soap*, wst__RequestSecurityTokenResponseCollectionType*) default initialize members
- int soap_read_wst__RequestSecurityTokenResponseCollectionType(struct soap*, wst__RequestSecurityTokenResponseCollectionType*) deserialize from a source
- int soap_write_wst__RequestSecurityTokenResponseCollectionType(struct soap*, wst__RequestSecurityTokenResponseCollectionType*) serialize to a sink
- wst__RequestSecurityTokenResponseCollectionType* soap_dup_wst__RequestSecurityTokenResponseCollectionType(struct soap*, wst__RequestSecurityTokenResponseCollectionType* dst, wst__RequestSecurityTokenResponseCollectionType <em>src) returns deep copy of wst__RequestSecurityTokenResponseCollectionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__RequestSecurityTokenResponseCollectionType(wst__RequestSecurityTokenResponseCollectionType) deep deletes wst__RequestSecurityTokenResponseCollectionType data members, use only on dst after soap_dup_wst__RequestSecurityTokenResponseCollectionType(NULL, wst__RequestSecurityTokenResponseCollectionType *dst, wst__RequestSecurityTokenResponseCollectionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int wst__RequestSecurityTokenResponseCollectionType::__sizeRequestSecurityTokenResponse

Size of the dynamic array of struct wst__RequestSecurityTokenResponseType* is 1..unbounded.

struct wst__RequestSecurityTokenResponseType* wst__RequestSecurityTokenResponseCollectionType::RequestSecurityTokenResponse

Array struct wst__RequestSecurityTokenResponseType* of size 1..unbounded.

The documentation for this struct was generated from the following file:

- wst.h